Mail archive
alpine-devel

[alpine-devel] [PATCH] require root to run setup-alpine-web

From: Jeremy Thomerson <jeremy_at_thomersonfamily.com>
Date: Wed, 30 Mar 2011 19:18:12 +0000

---
 setup-alpine-web.in |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)
diff --git a/setup-alpine-web.in b/setup-alpine-web.in
index 2d5d9cb..3eaed7d 100644
--- a/setup-alpine-web.in
+++ b/setup-alpine-web.in
_at_@ -123,6 +123,12 @@ EOF
 	exit 0
 }
 
+# require root
+if [ "$(id -u)" != "0" ]; then
+	echo "ERROR: This script must be run as root" 1>&2
+	exit 1
+fi
+
 # parse args
 while getopts "b:c:d:H:hR:" opts; do
 	case "$opts" in
-- 
1.7.4.2
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Mar 30 2011 - 19:18:12 UTC